X2Go Bug report logs - #927
copy on select overrides Windows clipboard

version graph

Package: x2goclient; Maintainer for x2goclient is X2Go Developers <x2go-dev@lists.x2go.org>; Source for x2goclient is src:x2goclient.

Reported by: Walid MOGHRABI <w.moghrabi@servicemagic.eu>

Date: Mon, 24 Aug 2015 14:00:02 UTC

Severity: normal

Tags: pending

Found in version 4.0.5.0

Fixed in version 4.0.5.1

Done: X2Go Release Manager <git-admin@x2go.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#927; Package x2goclient. (Mon, 24 Aug 2015 14:00:02 GMT) (full text, mbox, link).


Acknowledgement sent to Walid MOGHRABI <w.moghrabi@servicemagic.eu>:
New Bug report received and forwarded. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Mon, 24 Aug 2015 14:00:02 GMT) (full text, mbox, link).


Message #5 received at submit@bugs.x2go.org (full text, mbox, reply):

From: Walid MOGHRABI <w.moghrabi@servicemagic.eu>
To: submit@bugs.x2go.org
Subject: copy on select overrides Windows clipboard
Date: Mon, 24 Aug 2015 15:52:29 +0200 (CEST)
Package: x2goclient 
Version: 4.0.5.0 

There is a problem when using a x2go session (in both "Publisshed apps" or "Desktop / MATE" mode ... didn't tried on other desktops) and trying to do bidirectional copy/paste from a Windows client (Windows 7 SP1 / x2goclient 4.0.5.0).
It seems that the "copy on select" features is overriding the primary clipboard which makes the copy/paste pretty difficult if not impossible.

How to reproduce :

Local : Windows 7 SP1 / x2goclient 4.0.5.0 in Published Apps ou MATE Desktop mode (but windowed or fullscreen on 1 dedicated screen, not complete fullscreen)
Remote : Ubuntu 14.04 / MATE Desktop with x2goserver 4.0.5.0 and x2gomate-bindings

From Windows, copy some text in Notepad then, on your x2go session (let's say with Pluma or Gedit), select some text you want to replace (just select, not copy) and try to do a paste, that won't work and your clipboard now contains the text that has been selected in the x2go session.
You can even paste it in Windows (but strangely, not in Linux where the clipboard seems empty).

This is very very annoying especially for our use case where our x2go sessions are used as developpers sessions in Published Apps mode and they do plenty of copy/paste all day long.
We moved recently to this infrastructure but this doesn't help its acceptancy due to this bug.

I tried to check the "do not use primary clipboard" in the client preferences but this makes the xserver fails to start (see bug #906), I even tried to add the -noprimary or the -noclipboardprimary that are described here (http://code.x2go.org/vcxsrv?p=vcxsrv.git;a=blob;f=xorg-server/hw/xwin/InitOutput.c;h=5a3d80f7fe17d2e81f634ba80d0494451653b637;hb=934184bfecd402aae891b8740d788b486aa7269f#l722) but that dosn't work either, it seems these options are in the usage help message but are not supported at all so I don't know if using them is helping or not.

Best regards,

Walid Moghrabi
	
---
DISCLAIMER: This e-mail is private and confidential and may contain proprietary or legally privileged information. It is for the intended recipient only. If you have received this email in error, please notify the author by replying to it and then destroy it. If you are not the intended recipient you must not use, disclose, distribute, copy, print or rely on this e-mail or any attachment. Thank you


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#927; Package x2goclient. (Tue, 01 Sep 2015 14:35:02 GMT) (full text, mbox, link).


Acknowledgement sent to Ulrich Sibiller <uli42@gmx.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Tue, 01 Sep 2015 14:35:03 GMT) (full text, mbox, link).


Message #10 received at 927@bugs.x2go.org (full text, mbox, reply):

From: Ulrich Sibiller <uli42@gmx.de>
To: Walid MOGHRABI <w.moghrabi@servicemagic.eu>, 927@bugs.x2go.org
Cc: submit@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#927: copy on select overrides Windows clipboard
Date: Tue, 1 Sep 2015 16:32:43 +0200
On Mon, Aug 24, 2015 at 3:52 PM, Walid MOGHRABI
<w.moghrabi@servicemagic.eu> wrote:
> Package: x2goclient
> Version: 4.0.5.0
>
> There is a problem when using a x2go session (in both "Publisshed apps" or "Desktop / MATE" mode ... didn't tried on other desktops) and trying to do
bidirectional copy/paste from a Windows client (Windows 7 SP1 /
x2goclient 4.0.5.0).
> It seems that the "copy on select" features is overriding the primary clipboard which makes the copy/paste pretty difficult if not impossible.
>
> How to reproduce :
>
> Local : Windows 7 SP1 / x2goclient 4.0.5.0 in Published Apps ou MATE Desktop mode (but windowed or fullscreen on 1 dedicated screen, not complete fullscreen)
> Remote : Ubuntu 14.04 / MATE Desktop with x2goserver 4.0.5.0 and x2gomate-bindings
>
> From Windows, copy some text in Notepad then, on your x2go session (let's say with Pluma or Gedit), select some text you want to replace (just select, not copy) and try to do a paste, that won't work and your clipboard now contains the text that has been selected in the x2go session.

Just to be sure: What exactly do you refer to as clipboard here? In
X11 we have PRIMARY and CLIPBOARD, in Windows we have only one
Clipboard.

> You can even paste it in Windows (but strangely, not in Linux where the clipboard seems empty).

How do you paste in Linux? Middle mouse button or selecting "Paste"
from some menu?

> This is very very annoying especially for our use case where our x2go sessions are used as developpers sessions in Published Apps mode and they do plenty of copy/paste all day long.
> We moved recently to this infrastructure but this doesn't help its acceptancy due to this bug.
>
> I tried to check the "do not use primary clipboard" in the client preferences but this makes the xserver fails to start (see bug #906), I even tried to add the -noprimary or the -noclipboardprimary that are described here (http://code.x2go.org/vcxsrv?p=vcxsrv.git;a=blob;f=xorg-server/hw/xwin/InitOutput.c;h=5a3d80f7fe17d2e81f634ba80d0494451653b637;hb=934184bfecd402aae891b8740d788b486aa7269f#l722) but that dosn't work either, it seems these options are in the usage help message but are not supported at all so I don't know if using them is helping or not.

I have changed/fixed the clipboard code in NX  some months ago. Does
downgrading to nx-libs 3.5.0.27 change the behaviour? Maybe I broke
something...

Also, do you have any clipboard manager running in the MATE session?

And it would help to know if this happens for other desktops, too.

Uli


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#927; Package x2goclient. (Fri, 04 Sep 2015 10:20:01 GMT) (full text, mbox, link).


Acknowledgement sent to Walid MOGHRABI <w.moghrabi@servicemagic.eu>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Fri, 04 Sep 2015 10:20:02 GMT) (full text, mbox, link).


Message #15 received at 927@bugs.x2go.org (full text, mbox, reply):

From: Walid MOGHRABI <w.moghrabi@servicemagic.eu>
To: Ulrich Sibiller <uli42@gmx.de>
Cc: submit@bugs.x2go.org, 927@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#927: copy on select overrides Windows clipboard
Date: Fri, 4 Sep 2015 12:12:47 +0200 (CEST)
> Just to be sure: What exactly do you refer to as clipboard here? In X11 we have PRIMARY and CLIPBOARD, in Windows we have only one Clipboard. 
> How do you paste in Linux? Middle mouse button or selecting "Paste" from some menu?

All of them.
In Windows there is only one clipboard and Linux, there is the PRIMARY and CLIPBOARD, that's right but the problem here is :
* copy something from your local Windows computer (ctrl+c in notepad for example)
* in your remote MATE x2go session, in Pluima or Gedit for example, *select* part of a text and do a "paste" action (with ctrl+v or the paste action in the edit menu, *not middle mouse click*).
* at that moment, nothing happen where you would expect the selected text to be replaced by the copied text in Windows.

Note that if I do the same use case from a linux local desktop to a remote linux x2go session, it works as expected (the text is replaced), it's only in doing the same with Windows that it is not working.

> I have changed/fixed the clipboard code in NX some months ago. Does downgrading to nx-libs 3.5.0.27 change the behaviour? Maybe I broke something... 

I don't know how to downgrade to this release, I'm using the x2go stable PPA for the server side (it's running on ubuntu server 14.04 lts amd64 + MATE 1.8 as the desktop) and Windows 7 SP1 as the client running 4.0.5.0.

> Also, do you have any clipboard manager running in the MATE session? 

at first, none then I installed ClipIt just to see what was happening and disable copy on select but it did nothing, the beahviour was identical.
In the clipboard manager's history, I can see my copied text from Windows but as soon as I select some text from within my linux x2go session, I can't paste it.
ctrl+v does nothing, paste menu does nothing and even middle click does nothing as if both clipboards where flushed.
As soon as I do another ctrl+v or another selection in the remote x2go session, I can paste what has been selected/copied.

> And it would help to know if this happens for other desktops, too. 

I only tested it on x2go/MATE in Desktop mode or Published Apps mode. Both ways gives same results.

Walid

----- Mail original ----- 

De: "Ulrich Sibiller" <uli42@gmx.de> 
À: "Walid MOGHRABI" <w.moghrabi@servicemagic.eu>, 927@bugs.x2go.org 
Cc: submit@bugs.x2go.org 
Envoyé: Mardi 1 Septembre 2015 16:32:43 
Objet: Re: [X2Go-Dev] Bug#927: copy on select overrides Windows clipboard 

On Mon, Aug 24, 2015 at 3:52 PM, Walid MOGHRABI 
<w.moghrabi@servicemagic.eu> wrote: 
> Package: x2goclient 
> Version: 4.0.5.0 
> 
> There is a problem when using a x2go session (in both "Publisshed apps" or "Desktop / MATE" mode ... didn't tried on other desktops) and trying to do 
bidirectional copy/paste from a Windows client (Windows 7 SP1 / 
x2goclient 4.0.5.0). 
> It seems that the "copy on select" features is overriding the primary clipboard which makes the copy/paste pretty difficult if not impossible. 
> 
> How to reproduce : 
> 
> Local : Windows 7 SP1 / x2goclient 4.0.5.0 in Published Apps ou MATE Desktop mode (but windowed or fullscreen on 1 dedicated screen, not complete fullscreen) 
> Remote : Ubuntu 14.04 / MATE Desktop with x2goserver 4.0.5.0 and x2gomate-bindings 
> 
> From Windows, copy some text in Notepad then, on your x2go session (let's say with Pluma or Gedit), select some text you want to replace (just select, not copy) and try to do a paste, that won't work and your clipboard now contains the text that has been selected in the x2go session. 

Just to be sure: What exactly do you refer to as clipboard here? In 
X11 we have PRIMARY and CLIPBOARD, in Windows we have only one 
Clipboard. 

> You can even paste it in Windows (but strangely, not in Linux where the clipboard seems empty). 

How do you paste in Linux? Middle mouse button or selecting "Paste" 
from some menu? 

> This is very very annoying especially for our use case where our x2go sessions are used as developpers sessions in Published Apps mode and they do plenty of copy/paste all day long. 
> We moved recently to this infrastructure but this doesn't help its acceptancy due to this bug. 
> 
> I tried to check the "do not use primary clipboard" in the client preferences but this makes the xserver fails to start (see bug #906), I even tried to add the -noprimary or the -noclipboardprimary that are described here (http://code.x2go.org/vcxsrv?p=vcxsrv.git;a=blob;f=xorg-server/hw/xwin/InitOutput.c;h=5a3d80f7fe17d2e81f634ba80d0494451653b637;hb=934184bfecd402aae891b8740d788b486aa7269f#l722) but that dosn't work either, it seems these options are in the usage help message but are not supported at all so I don't know if using them is helping or not. 

I have changed/fixed the clipboard code in NX some months ago. Does 
downgrading to nx-libs 3.5.0.27 change the behaviour? Maybe I broke 
something... 

Also, do you have any clipboard manager running in the MATE session? 

And it would help to know if this happens for other desktops, too. 

Uli
---
DISCLAIMER: This e-mail is private and confidential and may contain proprietary or legally privileged information. It is for the intended recipient only. If you have received this email in error, please notify the author by replying to it and then destroy it. If you are not the intended recipient you must not use, disclose, distribute, copy, print or rely on this e-mail or any attachment. Thank you


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#927; Package x2goclient. (Sun, 20 Sep 2015 20:15:01 GMT) (full text, mbox, link).


Acknowledgement sent to Hans-Richard Grube <neycroir@web.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Sun, 20 Sep 2015 20:15:01 GMT) (full text, mbox, link).


Message #20 received at 927@bugs.x2go.org (full text, mbox, reply):

From: Hans-Richard Grube <neycroir@web.de>
To: 927@bugs.x2go.org
Subject: [X2Go-Dev] Bug#927: copy on select overrides Windows clipboard
Date: Sun, 20 Sep 2015 22:07:53 +0200
[Message part 1 (text/plain, inline)]
I tested the same scenario (Windows 10 client v4.0.5.0 and Ubuntu Server
14.04.03 LTS latest X2Go Server from ppa:x2go/stable) and have observed
the following behaviour:

When I copy something via CTRL+C inside the X2Go session**, I can paste
it via CTRL+V on my Windows 10 machine.
However, when I copy something with CTRL+C on my Windows 10 machine, I
cannot paste it via CTRL+V inside the X2Go session.
Same results when doing it via context menues.

Of course, I allowed bidirectional clipboard access on the Windows 10
client. So it only works from server to client while client to server
clipboard fails.
I tested this with XFCE (xfce4) and with MATE (ubuntu-mate-core from
ppa:ubuntu-mate-dev/ppa).
[Message part 2 (text/html, inline)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#927; Package x2goclient. (Wed, 09 Dec 2015 16:55:02 GMT) (full text, mbox, link).


Acknowledgement sent to Walid MOGHRABI <w.moghrabi@servicemagic.eu>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Wed, 09 Dec 2015 16:55:02 GMT) (full text, mbox, link).


Message #25 received at 927@bugs.x2go.org (full text, mbox, reply):

From: Walid MOGHRABI <w.moghrabi@servicemagic.eu>
To: submit@bugs.x2go.org, 927@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#927: copy on select overrides Windows clipboard
Date: Wed, 9 Dec 2015 17:43:44 +0100 (CET)
[Message part 1 (text/plain, inline)]
Hi, 


A little "up" on this bug ... this is very very annoying for us and generate angryness against x2go which is unfair because this solution gives us so much more value added feature than before but every users are focusing on this one bug because it affect their work all day long. 
We're willing to push that as much as we can and we're ready to help as much as we can also. 
We are ready to pay if necessary to put that bugfix on top of the list so please, tell me if this bug is going to be fixed soon :( 


Best regards, 




	Walid MOGHRABI 
	Exploitation / Operation 
	Id SKYPE : walid_smagic 
	
	
	
----- Mail original -----

De: "Walid MOGHRABI" <w.moghrabi@servicemagic.eu> 
À: "Ulrich Sibiller" <uli42@gmx.de> 
Cc: submit@bugs.x2go.org, 927@bugs.x2go.org 
Envoyé: Vendredi 4 Septembre 2015 12:12:47 
Objet: Re: [X2Go-Dev] Bug#927: copy on select overrides Windows clipboard 

> Just to be sure: What exactly do you refer to as clipboard here? In X11 we have PRIMARY and CLIPBOARD, in Windows we have only one Clipboard. 
> How do you paste in Linux? Middle mouse button or selecting "Paste" from some menu? 

All of them. 
In Windows there is only one clipboard and Linux, there is the PRIMARY and CLIPBOARD, that's right but the problem here is : 
* copy something from your local Windows computer (ctrl+c in notepad for example) 
* in your remote MATE x2go session, in Pluima or Gedit for example, *select* part of a text and do a "paste" action (with ctrl+v or the paste action in the edit menu, *not middle mouse click*). 
* at that moment, nothing happen where you would expect the selected text to be replaced by the copied text in Windows. 

Note that if I do the same use case from a linux local desktop to a remote linux x2go session, it works as expected (the text is replaced), it's only in doing the same with Windows that it is not working. 

> I have changed/fixed the clipboard code in NX some months ago. Does downgrading to nx-libs 3.5.0.27 change the behaviour? Maybe I broke something... 

I don't know how to downgrade to this release, I'm using the x2go stable PPA for the server side (it's running on ubuntu server 14.04 lts amd64 + MATE 1.8 as the desktop) and Windows 7 SP1 as the client running 4.0.5.0. 

> Also, do you have any clipboard manager running in the MATE session? 

at first, none then I installed ClipIt just to see what was happening and disable copy on select but it did nothing, the beahviour was identical. 
In the clipboard manager's history, I can see my copied text from Windows but as soon as I select some text from within my linux x2go session, I can't paste it. 
ctrl+v does nothing, paste menu does nothing and even middle click does nothing as if both clipboards where flushed. 
As soon as I do another ctrl+v or another selection in the remote x2go session, I can paste what has been selected/copied. 

> And it would help to know if this happens for other desktops, too. 

I only tested it on x2go/MATE in Desktop mode or Published Apps mode. Both ways gives same results. 

Walid 

----- Mail original ----- 

De: "Ulrich Sibiller" <uli42@gmx.de> 
À: "Walid MOGHRABI" <w.moghrabi@servicemagic.eu>, 927@bugs.x2go.org 
Cc: submit@bugs.x2go.org 
Envoyé: Mardi 1 Septembre 2015 16:32:43 
Objet: Re: [X2Go-Dev] Bug#927: copy on select overrides Windows clipboard 

On Mon, Aug 24, 2015 at 3:52 PM, Walid MOGHRABI 
<w.moghrabi@servicemagic.eu> wrote: 
> Package: x2goclient 
> Version: 4.0.5.0 
> 
> There is a problem when using a x2go session (in both "Publisshed apps" or "Desktop / MATE" mode ... didn't tried on other desktops) and trying to do 
bidirectional copy/paste from a Windows client (Windows 7 SP1 / 
x2goclient 4.0.5.0). 
> It seems that the "copy on select" features is overriding the primary clipboard which makes the copy/paste pretty difficult if not impossible. 
> 
> How to reproduce : 
> 
> Local : Windows 7 SP1 / x2goclient 4.0.5.0 in Published Apps ou MATE Desktop mode (but windowed or fullscreen on 1 dedicated screen, not complete fullscreen) 
> Remote : Ubuntu 14.04 / MATE Desktop with x2goserver 4.0.5.0 and x2gomate-bindings 
> 
> From Windows, copy some text in Notepad then, on your x2go session (let's say with Pluma or Gedit), select some text you want to replace (just select, not copy) and try to do a paste, that won't work and your clipboard now contains the text that has been selected in the x2go session. 

Just to be sure: What exactly do you refer to as clipboard here? In 
X11 we have PRIMARY and CLIPBOARD, in Windows we have only one 
Clipboard. 

> You can even paste it in Windows (but strangely, not in Linux where the clipboard seems empty). 

How do you paste in Linux? Middle mouse button or selecting "Paste" 
from some menu? 

> This is very very annoying especially for our use case where our x2go sessions are used as developpers sessions in Published Apps mode and they do plenty of copy/paste all day long. 
> We moved recently to this infrastructure but this doesn't help its acceptancy due to this bug. 
> 
> I tried to check the "do not use primary clipboard" in the client preferences but this makes the xserver fails to start (see bug #906), I even tried to add the -noprimary or the -noclipboardprimary that are described here (http://code.x2go.org/vcxsrv?p=vcxsrv.git;a=blob;f=xorg-server/hw/xwin/InitOutput.c;h=5a3d80f7fe17d2e81f634ba80d0494451653b637;hb=934184bfecd402aae891b8740d788b486aa7269f#l722) but that dosn't work either, it seems these options are in the usage help message but are not supported at all so I don't know if using them is helping or not. 

I have changed/fixed the clipboard code in NX some months ago. Does 
downgrading to nx-libs 3.5.0.27 change the behaviour? Maybe I broke 
something... 

Also, do you have any clipboard manager running in the MATE session? 

And it would help to know if this happens for other desktops, too. 

Uli 

---
DISCLAIMER: This e-mail is private and confidential and may contain proprietary or legally privileged information. It is for the intended recipient only. If you have received this email in error, please notify the author by replying to it and then destroy it. If you are not the intended recipient you must not use, disclose, distribute, copy, print or rely on this e-mail or any attachment. Thank you
[Message part 2 (text/html, inline)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#927; Package x2goclient. (Wed, 09 Dec 2015 21:00:02 GMT) (full text, mbox, link).


Acknowledgement sent to uli42@gmx.de:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Wed, 09 Dec 2015 21:00:02 GMT) (full text, mbox, link).


Message #30 received at 927@bugs.x2go.org (full text, mbox, reply):

From: Ulrich Sibiller <ulrich.sibiller@gmail.com>
To: Walid MOGHRABI <w.moghrabi@servicemagic.eu>, 927@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#927: Bug#927: copy on select overrides Windows clipboard
Date: Wed, 9 Dec 2015 21:58:44 +0100
On Wed, Dec 9, 2015 at 5:43 PM, Walid MOGHRABI
<w.moghrabi@servicemagic.eu> wrote:
> A little "up" on this bug ... this is very very annoying for us and generate angryness against x2go which is unfair because this solution gives us so much more value added feature than before but every users are focusing on this one bug because it affect their work all day long.
> We're willing to push that as much as we can and we're ready to help as much as we can also.
> We are ready to pay if necessary to put that bugfix on top of the list so please, tell me if this bug is going to be fixed soon :(


I cannot tell. Development is quite slow at the moment. As I am not a
core developer I do not know why that is. And I am low on time, too.

However, you can try to enable or disable the XFIXES extension (I am
not sure what the default is nowadays). Here's how you can do that:

Add to /etc/x2go/x2goagent.options

X2GO_NXAGENT_DEFAULT_OPTIONS+=" +extension XFIXES"

to enable the extension or

X2GO_NXAGENT_DEFAULT_OPTIONS+=" -extension XFIXES"

to disable the extension.


Using xdpyinfo | grep XFIXES within the session you can check if it is
enabled or not.

Uli


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#927; Package x2goclient. (Fri, 11 Dec 2015 10:30:02 GMT) (full text, mbox, link).


Acknowledgement sent to Walid MOGHRABI <w.moghrabi@servicemagic.eu>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Fri, 11 Dec 2015 10:30:02 GMT) (full text, mbox, link).


Message #35 received at 927@bugs.x2go.org (full text, mbox, reply):

From: Walid MOGHRABI <w.moghrabi@servicemagic.eu>
To: uli42@gmx.de
Cc: 927@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#927: Bug#927: copy on select overrides Windows clipboard
Date: Fri, 11 Dec 2015 11:27:25 +0100 (CET)
[Message part 1 (text/plain, inline)]
Hi, 



However, you can try to enable or disable the XFIXES extension (I am 
not sure what the default is nowadays). Here's how you can do that: 


> Add to /etc/x2go/x2goagent.options 

> X2GO_NXAGENT_DEFAULT_OPTIONS+=" +extension XFIXES" 

> to enable the extension or 
> X2GO_NXAGENT_DEFAULT_OPTIONS+=" -extension XFIXES" 

> to disable the extension. 




I enabled XFIXES since it was disabled as default but that didn't changed anything. 
I'm pretty sure this is a bug in vcxsrv as this doesn't occure when doing copy/paste from local Linux to remote Linux, this only occure from local Windows to remote Linux. 


It is very easy to reproduce. 


I hope the vcxsrv maintainer reads this list, if so, please, contact me. 

Regards, 




	Walid MOGHRABI 
	Exploitation / Operation 
	Id SKYPE : walid_smagic 
	
	
	
----- Mail original -----

De: "Ulrich Sibiller" <ulrich.sibiller@gmail.com> 
À: "Walid MOGHRABI" <w.moghrabi@servicemagic.eu>, 927@bugs.x2go.org 
Envoyé: Mercredi 9 Décembre 2015 21:58:44 
Objet: Re: [X2Go-Dev] Bug#927: Bug#927: copy on select overrides Windows clipboard 

On Wed, Dec 9, 2015 at 5:43 PM, Walid MOGHRABI 
<w.moghrabi@servicemagic.eu> wrote: 
> A little "up" on this bug ... this is very very annoying for us and generate angryness against x2go which is unfair because this solution gives us so much more value added feature than before but every users are focusing on this one bug because it affect their work all day long. 
> We're willing to push that as much as we can and we're ready to help as much as we can also. 
> We are ready to pay if necessary to put that bugfix on top of the list so please, tell me if this bug is going to be fixed soon :( 


I cannot tell. Development is quite slow at the moment. As I am not a 
core developer I do not know why that is. And I am low on time, too. 

However, you can try to enable or disable the XFIXES extension (I am 
not sure what the default is nowadays). Here's how you can do that: 

Add to /etc/x2go/x2goagent.options 

X2GO_NXAGENT_DEFAULT_OPTIONS+=" +extension XFIXES" 

to enable the extension or 

X2GO_NXAGENT_DEFAULT_OPTIONS+=" -extension XFIXES" 

to disable the extension. 


Using xdpyinfo | grep XFIXES within the session you can check if it is 
enabled or not. 

Uli 


---
DISCLAIMER: This e-mail is private and confidential and may contain proprietary or legally privileged information. It is for the intended recipient only. If you have received this email in error, please notify the author by replying to it and then destroy it. If you are not the intended recipient you must not use, disclose, distribute, copy, print or rely on this e-mail or any attachment. Thank you
[Message part 2 (text/html, inline)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#927; Package x2goclient. (Fri, 11 Dec 2015 13:35:02 GMT) (full text, mbox, link).


Acknowledgement sent to Mike DePaulo <mikedep333@gmail.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Fri, 11 Dec 2015 13:35:02 GMT) (full text, mbox, link).


Message #40 received at 927@bugs.x2go.org (full text, mbox, reply):

From: Mike DePaulo <mikedep333@gmail.com>
To: Walid MOGHRABI <w.moghrabi@servicemagic.eu>, 927@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#927: Bug#927: Bug#927: copy on select overrides Windows clipboard
Date: Fri, 11 Dec 2015 08:33:57 -0500
[Message part 1 (text/plain, inline)]
As the primary maintainer of X2Go Client for Windows and of X2Go's custom
builds of VcXsrv, I have taken note of this issue and #906 .

Investigating and fixing them are on my (busy) agenda. I cannot guarantee
an ETA though.
[Message part 2 (text/html, inline)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#927; Package x2goclient. (Fri, 11 Dec 2015 14:45:02 GMT) (full text, mbox, link).


Acknowledgement sent to Walid MOGHRABI <w.moghrabi@servicemagic.eu>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Fri, 11 Dec 2015 14:45:02 GMT) (full text, mbox, link).


Message #45 received at 927@bugs.x2go.org (full text, mbox, reply):

From: Walid MOGHRABI <w.moghrabi@servicemagic.eu>
To: Mike DePaulo <mikedep333@gmail.com>
Cc: 927@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#927: Bug#927: Bug#927: copy on select overrides Windows clipboard
Date: Fri, 11 Dec 2015 15:39:55 +0100 (CET)
[Message part 1 (text/plain, inline)]
Thanks so much for that ! 


As I already said, do not hesitate to get back to me for any information or testing you'll need. 


Best regards, 




	Walid MOGHRABI 
	Exploitation / Operation 
	Id SKYPE : walid_smagic 
	
	
	
----- Mail original -----

De: "Mike DePaulo" <mikedep333@gmail.com> 
À: "Walid MOGHRABI" <w.moghrabi@servicemagic.eu>, 927@bugs.x2go.org 
Envoyé: Vendredi 11 Décembre 2015 14:33:57 
Objet: Re: [X2Go-Dev] Bug#927: Bug#927: Bug#927: copy on select overrides Windows clipboard 



As the primary maintainer of X2Go Client for Windows and of X2Go's custom builds of VcXsrv, I have taken note of this issue and #906 . 


Investigating and fixing them are on my (busy) agenda. I cannot guarantee an ETA though. 

---
DISCLAIMER: This e-mail is private and confidential and may contain proprietary or legally privileged information. It is for the intended recipient only. If you have received this email in error, please notify the author by replying to it and then destroy it. If you are not the intended recipient you must not use, disclose, distribute, copy, print or rely on this e-mail or any attachment. Thank you
[Message part 2 (text/html, inline)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#927; Package x2goclient. (Mon, 04 Jan 2016 14:25:02 GMT) (full text, mbox, link).


Acknowledgement sent to Angela Williams <angelawilliams2212@outlook.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Mon, 04 Jan 2016 14:25:02 GMT) (full text, mbox, link).


Message #50 received at 927@bugs.x2go.org (full text, mbox, reply):

From: Angela Williams <angelawilliams2121@outlook.com>
To: undisclosed recipients: ;
Subject: Ich bitte um Ihre Unterstuetzung!!
Date: Mon, 4 Jan 2016 23:15:43 +0900 (JST)
[Message part 1 (text/plain, inline)]
Sehr geehrter Damen und Herren,
 
Vorname/  Williams
Name/   Angela 
Nationalitaet/  Sierra Leonean
 
Ich habe die Summe von USD 3.7millionen von meinen verstorbenen Eltern geebrt. Meine Eltern wurden Diamanten Haendler.
 
Das Geld wurde von meinen Eltern in der Sicherheitsfirma fuer sicheres Behalten deponiert.
 
Momentan lebe ich in Bouake in Elfenbeinkueste und zwar gibt es Buergerkrieg bei uns, deswegen moechte ich das Geld in Ihrem Land per Ihre Hilfe investieren.
 
Ich moechte in den gunstigen Branchen investieren wenn Sie mich unterstuetzen koennen.
 
Koennen Sie mich unterstuetzen?
 
Ich warte auf Ihre baldige Antwort!
 
Mit freundlichen Gruessen, 
Fräulein Angela Williams
[Message part 2 (text/html, inline)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#927; Package x2goclient. (Thu, 14 Jan 2016 11:05:02 GMT) (full text, mbox, link).


Acknowledgement sent to Walid MOGHRABI <w.moghrabi@servicemagic.eu>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Thu, 14 Jan 2016 11:05:02 GMT) (full text, mbox, link).


Message #55 received at 927@bugs.x2go.org (full text, mbox, reply):

From: Walid MOGHRABI <w.moghrabi@servicemagic.eu>
To: Mike DePaulo <mikedep333@gmail.com>
Cc: 927@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#927: copy on select overrides Windows clipboard
Date: Thu, 14 Jan 2016 12:00:30 +0100 (CET)
[Message part 1 (text/plain, inline)]
Hi, 


Any news on that side ? 
Any chance to see a fix for this soon ? 


Regards, 




	Walid MOGHRABI 
	Exploitation / Operation 
	Id SKYPE : walid_smagic 
	
	
	
----- Mail original -----

De: "Mike DePaulo" <mikedep333@gmail.com> 
À: "Walid MOGHRABI" <w.moghrabi@servicemagic.eu>, 927@bugs.x2go.org 
Envoyé: Vendredi 11 Décembre 2015 14:33:57 
Objet: Re: [X2Go-Dev] Bug#927: Bug#927: Bug#927: copy on select overrides Windows clipboard 



As the primary maintainer of X2Go Client for Windows and of X2Go's custom builds of VcXsrv, I have taken note of this issue and #906 . 


Investigating and fixing them are on my (busy) agenda. I cannot guarantee an ETA though. 

---
DISCLAIMER: This e-mail is private and confidential and may contain proprietary or legally privileged information. It is for the intended recipient only. If you have received this email in error, please notify the author by replying to it and then destroy it. If you are not the intended recipient you must not use, disclose, distribute, copy, print or rely on this e-mail or any attachment. Thank you
[Message part 2 (text/html, inline)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#927; Package x2goclient. (Fri, 15 Jan 2016 13:55:02 GMT) (full text, mbox, link).


Acknowledgement sent to Mike DePaulo <mikedep333@gmail.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Fri, 15 Jan 2016 13:55:02 GMT) (full text, mbox, link).


Message #60 received at 927@bugs.x2go.org (full text, mbox, reply):

From: Mike DePaulo <mikedep333@gmail.com>
To: Walid MOGHRABI <w.moghrabi@servicemagic.eu>
Cc: 927@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#927: copy on select overrides Windows clipboard
Date: Fri, 15 Jan 2016 08:50:00 -0500
[Message part 1 (text/plain, inline)]
I plan to at least investigate it within the next few weeks.

-Mike

On Thu, Jan 14, 2016 at 6:00 AM, Walid MOGHRABI <w.moghrabi@servicemagic.eu>
wrote:

> Hi,
>
> Any news on that side ?
> Any chance to see a fix for this soon ?
>
> Regards,
>
> Walid MOGHRABI Exploitation / Operation Id SKYPE : walid_smagic
>
[...[
[Message part 2 (text/html, inline)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#927; Package x2goclient. (Tue, 23 Feb 2016 13:25:02 GMT) (full text, mbox, link).


Acknowledgement sent to Walid MOGHRABI <w.moghrabi@servicemagic.eu>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Tue, 23 Feb 2016 13:25:02 GMT) (full text, mbox, link).


Message #65 received at 927@bugs.x2go.org (full text, mbox, reply):

From: Walid MOGHRABI <w.moghrabi@servicemagic.eu>
To: Mike DePaulo <mikedep333@gmail.com>
Cc: 927@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#927: copy on select overrides Windows clipboard
Date: Tue, 23 Feb 2016 14:14:38 +0100 (CET)
[Message part 1 (text/plain, inline)]
Hi, 


I'm not willing to put too much pressure about this but this is really annoying for our dev team and to be honest, they are the ones pushing pressure on me with this. 
Any idea on when you will be able to take a look at this issue ? 
May I help in any way ? 


Regards, 





	Walid MOGHRABI 
	Exploitation / Operation 
	Id SKYPE : walid_smagic 
	
	
	
----- Mail original -----

De: "Mike DePaulo" <mikedep333@gmail.com> 
À: "Walid MOGHRABI" <w.moghrabi@servicemagic.eu> 
Cc: 927@bugs.x2go.org 
Envoyé: Vendredi 15 Janvier 2016 14:50:00 
Objet: Re: [X2Go-Dev] Bug#927: copy on select overrides Windows clipboard 


I plan to at least investigate it within the next few weeks. 


-Mike 



On Thu, Jan 14, 2016 at 6:00 AM, Walid MOGHRABI < w.moghrabi@servicemagic.eu > wrote: 




Hi, 


Any news on that side ? 
Any chance to see a fix for this soon ? 


Regards, 




	Walid MOGHRABI 
	Exploitation / Operation 
	Id SKYPE : walid_smagic 


[...[ 


---
DISCLAIMER: This e-mail is private and confidential and may contain proprietary or legally privileged information. It is for the intended recipient only. If you have received this email in error, please notify the author by replying to it and then destroy it. If you are not the intended recipient you must not use, disclose, distribute, copy, print or rely on this e-mail or any attachment. Thank you
[Message part 2 (text/html, inline)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#927; Package x2goclient. (Tue, 23 Feb 2016 21:05:02 GMT) (full text, mbox, link).


Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Tue, 23 Feb 2016 21:05:02 GMT) (full text, mbox, link).


Message #70 received at 927@bugs.x2go.org (full text, mbox, reply):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: Walid MOGHRABI <w.moghrabi@servicemagic.eu>, 927@bugs.x2go.org
Cc: Mike DePaulo <mikedep333@gmail.com>
Subject: Re: [X2Go-Dev] Bug#927: Bug#927: copy on select overrides Windows clipboard
Date: Tue, 23 Feb 2016 21:03:51 +0000
[Message part 1 (text/plain, inline)]
HI,

please use the professional support provided by BAUR-ITCS UG or phoca  
GmbH if you want to see bugs addressed quickly.

Contacts:

  o.schneyder@phoca-gmbh.de
  kontakt@baur-itcs.de

Greets,
Mike

On  Di 23 Feb 2016 14:14:38 CET, Walid MOGHRABI wrote:

> Hi,
>
>
> I'm not willing to put too much pressure about this but this is  
> really annoying for our dev team and to be honest, they are the ones  
> pushing pressure on me with this.
> Any idea on when you will be able to take a look at this issue ?
> May I help in any way ?
>
>
> Regards,
>
>
>
>
>
> 	Walid MOGHRABI
> 	Exploitation / Operation
> 	Id SKYPE : walid_smagic
>
>
>
> ----- Mail original -----
>
> De: "Mike DePaulo" <mikedep333@gmail.com>
> À: "Walid MOGHRABI" <w.moghrabi@servicemagic.eu>
> Cc: 927@bugs.x2go.org
> Envoyé: Vendredi 15 Janvier 2016 14:50:00
> Objet: Re: [X2Go-Dev] Bug#927: copy on select overrides Windows clipboard
>
>
> I plan to at least investigate it within the next few weeks.
>
>
> -Mike
>
>
>
> On Thu, Jan 14, 2016 at 6:00 AM, Walid MOGHRABI <  
> w.moghrabi@servicemagic.eu > wrote:
>
>
>
>
> Hi,
>
>
> Any news on that side ?
> Any chance to see a fix for this soon ?
>
>
> Regards,
>
>
>
>
> 	Walid MOGHRABI
> 	Exploitation / Operation
> 	Id SKYPE : walid_smagic
>
>
> [...[
>
>
> ---
> DISCLAIMER: This e-mail is private and confidential and may contain  
> proprietary or legally privileged information. It is for the  
> intended recipient only. If you have received this email in error,  
> please notify the author by replying to it and then destroy it. If  
> you are not the intended recipient you must not use, disclose,  
> distribute, copy, print or rely on this e-mail or any attachment.  
> Thank you


-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/mailxchange/kronolith/fb.php?u=m.gabriel%40das-netzwerkteam.de
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#927; Package x2goclient. (Wed, 24 Feb 2016 09:10:02 GMT) (full text, mbox, link).


Acknowledgement sent to Walid MOGHRABI <w.moghrabi@servicemagic.eu>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Wed, 24 Feb 2016 09:10:02 GMT) (full text, mbox, link).


Message #75 received at 927@bugs.x2go.org (full text, mbox, reply):

From: Walid MOGHRABI <w.moghrabi@servicemagic.eu>
To: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Cc: Mike DePaulo <mikedep333@gmail.com>, 927@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#927: Bug#927: copy on select overrides Windows clipboard
Date: Wed, 24 Feb 2016 10:09:08 +0100 (CET)
[Message part 1 (text/plain, inline)]
Hi, 


I'm sorry to annoy but yes, I'd like this issue to be fixed as quick as possible because I have about 30 developers counting on it and as I always said, we would be ready to pay for that if it could help making thing going a little faster but until now, I had no answer concerning paid support. 
I'll contact thos people ... which one is preferable to contact ? 


Regards. 




	Walid MOGHRABI 
	Exploitation / Operation 
	Id SKYPE : walid_smagic 
	
	
	
----- Mail original -----

De: "Mike Gabriel" <mike.gabriel@das-netzwerkteam.de> 
À: "Walid MOGHRABI" <w.moghrabi@servicemagic.eu>, 927@bugs.x2go.org 
Cc: "Mike DePaulo" <mikedep333@gmail.com> 
Envoyé: Mardi 23 Février 2016 22:03:51 
Objet: Re: [X2Go-Dev] Bug#927: Bug#927: copy on select overrides Windows clipboard 

HI, 

please use the professional support provided by BAUR-ITCS UG or phoca 
GmbH if you want to see bugs addressed quickly. 

Contacts: 

o.schneyder@phoca-gmbh.de 
kontakt@baur-itcs.de 

Greets, 
Mike 

On Di 23 Feb 2016 14:14:38 CET, Walid MOGHRABI wrote: 

> Hi, 
> 
> 
> I'm not willing to put too much pressure about this but this is 
> really annoying for our dev team and to be honest, they are the ones 
> pushing pressure on me with this. 
> Any idea on when you will be able to take a look at this issue ? 
> May I help in any way ? 
> 
> 
> Regards, 
> 
> 
> 
> 
> 
> Walid MOGHRABI 
> Exploitation / Operation 
> Id SKYPE : walid_smagic 
> 
> 
> 
> ----- Mail original ----- 
> 
> De: "Mike DePaulo" <mikedep333@gmail.com> 
> À: "Walid MOGHRABI" <w.moghrabi@servicemagic.eu> 
> Cc: 927@bugs.x2go.org 
> Envoyé: Vendredi 15 Janvier 2016 14:50:00 
> Objet: Re: [X2Go-Dev] Bug#927: copy on select overrides Windows clipboard 
> 
> 
> I plan to at least investigate it within the next few weeks. 
> 
> 
> -Mike 
> 
> 
> 
> On Thu, Jan 14, 2016 at 6:00 AM, Walid MOGHRABI < 
> w.moghrabi@servicemagic.eu > wrote: 
> 
> 
> 
> 
> Hi, 
> 
> 
> Any news on that side ? 
> Any chance to see a fix for this soon ? 
> 
> 
> Regards, 
> 
> 
> 
> 
> Walid MOGHRABI 
> Exploitation / Operation 
> Id SKYPE : walid_smagic 
> 
> 
> [...[ 
> 
> 
> --- 
> DISCLAIMER: This e-mail is private and confidential and may contain 
> proprietary or legally privileged information. It is for the 
> intended recipient only. If you have received this email in error, 
> please notify the author by replying to it and then destroy it. If 
> you are not the intended recipient you must not use, disclose, 
> distribute, copy, print or rely on this e-mail or any attachment. 
> Thank you 


-- 

DAS-NETZWERKTEAM 
mike gabriel, herweg 7, 24357 fleckeby 
fon: +49 (1520) 1976 148 

GnuPG Key ID 0x25771B31 
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de 

freeBusy: 
https://mail.das-netzwerkteam.de/mailxchange/kronolith/fb.php?u=m.gabriel%40das-netzwerkteam.de 


---
DISCLAIMER: This e-mail is private and confidential and may contain proprietary or legally privileged information. It is for the intended recipient only. If you have received this email in error, please notify the author by replying to it and then destroy it. If you are not the intended recipient you must not use, disclose, distribute, copy, print or rely on this e-mail or any attachment. Thank you
[Message part 2 (text/html, inline)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#927; Package x2goclient. (Wed, 24 Feb 2016 14:30:01 GMT) (full text, mbox, link).


Acknowledgement sent to Oleksandr Shneyder <o.shneyder@phoca-gmbh.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Wed, 24 Feb 2016 14:30:02 GMT) (full text, mbox, link).


Message #80 received at 927@bugs.x2go.org (full text, mbox, reply):

From: Oleksandr Shneyder <o.shneyder@phoca-gmbh.de>
To: 927-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 927@bugs.x2go.org
Subject: X2Go issue (in src:x2goclient) has been marked as pending for release
Date: Wed, 24 Feb 2016 15:27:59 +0100 (CET)
tag #927 pending
fixed #927 4.0.5.1
thanks

Hello,

X2Go issue #927 (src:x2goclient) reported by you has been
fixed in X2Go Git. You can see the changelog below, and you can
check the diff of the fix at:

    http://code.x2go.org/gitweb?p=x2goclient.git;a=commitdiff;h=fab1f9f

The issue will most likely be fixed in src:x2goclient (4.0.5.1).

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
commit fab1f9f6b537ffe08f1343f9568f7b055f1f492c
Author: Oleksandr Shneyder <o.shneyder@phoca-gmbh.de>
Date:   Wed Feb 24 15:27:55 2016 +0100

    Fix VCXSRV parameter to disable PRIMARY clipboard in X2Go Client for Windows. Fixes: #927.

diff --git a/debian/changelog b/debian/changelog
index 77c67db..fde27d6 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -74,7 +74,7 @@ x2goclient (4.0.5.1-0x2go1) UNRELEASED; urgency=low
     - Disable settings editing if a directory with central settings is exists.
     - Format long names on session buttons.
     - Central settings for Linux, Mac and Windows.
-    - Fix VCXSRV parameter to disable PRIMARY clipboard in X2Go Client for Windows.
+    - Fix VCXSRV parameter to disable PRIMARY clipboard in X2Go Client for Windows. Fixes: #927.
 
   [ Mike Gabriel ]
   * New upstream release (4.0.5.1):


Added tag(s) pending. Request was from Oleksandr Shneyder <o.shneyder@phoca-gmbh.de> to control@bugs.x2go.org. (Wed, 24 Feb 2016 14:30:03 GMT) (full text, mbox, link).


Marked as fixed in versions 4.0.5.1. Request was from Oleksandr Shneyder <o.shneyder@phoca-gmbh.de> to control@bugs.x2go.org. (Wed, 24 Feb 2016 14:30:03 GMT) (full text, mbox, link).


Message sent on to Walid MOGHRABI <w.moghrabi@servicemagic.eu>:
Bug#927. (Wed, 24 Feb 2016 14:30:03 GMT) (full text, mbox, link).


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#927; Package x2goclient. (Thu, 24 Mar 2016 20:40:07 GMT) (full text, mbox, link).


Acknowledgement sent to X2Go Release Manager <git-admin@x2go.org>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Thu, 24 Mar 2016 20:40:08 GMT) (full text, mbox, link).


Message #92 received at 927@bugs.x2go.org (full text, mbox, reply):

From: X2Go Release Manager <git-admin@x2go.org>
To: 927-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 927@bugs.x2go.org
Subject: X2Go issue (in src:x2goclient) has been marked as closed
Date: Thu, 24 Mar 2016 21:38:46 +0100 (CET)
close #927
thanks

Hello,

we are very hopeful that X2Go issue #927 reported by you
has been resolved in the new release (4.0.5.1) of the
X2Go source project »src:x2goclient«.

You can view the complete changelog entry of src:x2goclient (4.0.5.1)
below, and you can use the following link to view all the code changes
between this and the last release of src:x2goclient.

    http://code.x2go.org/gitweb?p=x2goclient.git;a=commitdiff;h=4f91293625f1b3c12a1fa0a414424557d82fc65a;hp=b69667ef6d5f762b988e756a85a429792871e88c

If you feel that the issue has not been resolved satisfyingly, feel
free to reopen this bug report or submit a follow-up report with
further observations described based on the new released version
of src:x2goclient.

Thanks a lot for contributing to X2Go!!!

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
X2Go Component: src:x2goclient
Version: 4.0.5.1-0x2go1
Status: RELEASE
Date: Thu, 24 Mar 2016 21:35:30 +0100
Fixes: 487 772 860 916 921 927 928 945 948 953 973 987 1000
Changes: 
 x2goclient (4.0.5.1-0x2go1) RELEASED; urgency=low
 .
   [ Mihai Moldovan ]
   * New upstream release (4.0.5.1):
     - onmainwindow.cpp: include sshd PID file path option in quotes to support
       whitespaces within the var directory path on Windows. Add comment to
       revisit this later on non-Windows-platforms, too. Fixes: #916.
     - onmainwindow.cpp: do NOT reformat. Reverts most of the previous commit
       because it breaks code logic.
     - res/txt/packs: add adaptive method.
     - {macbuild.sh,x2goclient.pro}: pass MacPorts library and include path's
       to qmake. Due to the qt4-mac's changes, we do not automatically get
       these values automatically "appended" in a usable way anymore.
     - x2gosettings.cpp: let centralSettings () return false on Windows.
     - onmainwindow.cpp: be more precise in slotScDaemonError () regarding
       unknown and undefined errors.
     - onmainwindow.{cpp,h}: don't use a hardcoded path to xmodmap on OS X and
       handle errors more gracefully. Fixes: #487.
     - x2goclient.pro: fix typo --stdlib=... -> -stdlib=... Fixes: #973.
     - onmainwindow.cpp: add some more error handling for parsing the return
       value of x2golistsessions. As it turns out, it can happen that "invalid"
       strings are inserted in there, for instance by the perl interpreter
       itself. We need to skip over these, or the client crashes when splitting
       up the invalid lines.
     - macbuild.sh: add stdlib forcing. Should not be used unless you really
       know what you're doing. If you ponder using this, you probably don't.
     - res/resources.rcc: add Turkish translation file. Fixes: #987.
     - onmainwindow.cpp: use lowercase version of locale. Fixes: #953.
       Fixes loading up the nb_NO translation file, which is actually baked as
       nb_no into the binary.
     - sshmasterconnection.cpp: let challenge-auth-based login attempts
       fallback to normal password authentication if the initial
       challenge-auth-based attempt was unsuccessful.
     - sshmasterconnection.{cpp,h}: support variable number of
       challenge-auth-code-based prompts.
     - sshmasterconnection.cpp: don't check prompts for full string equality -
       a matching prefix is good enough. Amongst others, this fixes errors in
       conditions where the prompt does not contain a trailing whitespace, but
       X2Go Client expects one.
     - sshmasterconnection.cpp: add OATH TOTP prompt prefix. Fixes: #860.
     - res/i18n: refresh translation files again.
     - res/i18n/x2goclient_nb_no.ts: replace "X-Serv..." with "X.Org Server"
       where applicable.
     - res/i18n/x2goclient_nb_no.ts: correctly use "XQuartz" where necessary.
     - res/i18n/x2goclient_nb_no.ts: whitespace only.
     - res/i18n/x2goclient_nb_no.ts: fix up some "x2go" -> "X2Go" errors.
     - res/i18n/x2goclient_nb_no.ts: mark translation strings needing some care
       ("x2go..." -> "X2Go...") as unfinished for later fixup.
     - res/i18n/x2goclient_nb_no.ts: fix (meta data) typo introduced with last
       commit.
     - res/i18n/x2goclient_nl.ts: fixup translation by respecting the original
       messages' format and other changes.
     - res/i18n/x2goclient_de.ts: fixup translation by respecting the original
       messages' format, fixing typos and general improvements.
     - res/i18n/x2goclient_es.ts: fixup translation by respecting the original
       messages' format and other changes.
     - res/i18n/x2goclient_sv.ts: fixup translation by respecting the original
       messages' format and other changes.
   * debian/control:
     - Change apache2-dev | libc6-dev build dependency back to apache2-dev
       only. Otherwise, apache2-dev is not installed at all, even though
       theoretically available. The initial reasoning for this dependency type,
       apache2-dev not being available on all Ubuntu/Debian platforms, is not
       true anymore.
     - Change apache2-dev build dependency yet again to apache2-dev |
       apache2-threaded-dev. Turns out all Debian distros but wheezy (currently
       oldstable) have an apache2-dev package. Even oldoldstable (squeeze)
       does...
 .
   [ Oleksandr Shneyder ]
   * New upstream release (4.0.5.1):
     - xsettingswidget: compile only on Windows.
     - Add support for new style command line options of xfreerdp on direct RDP
       connections. (Fixes: #772).
     - Replace "::" with "_" for the desktop link name on Windows.
     - Fix direct RDP in broker mode.
     - Fix crashing client when editing session from SessionManageDialog.
       Fixes: #921.
     - Configure audio input in pulseaudio on Windows.
     - Reconnect ssh broker in case of IO Error.
     - Reformat source onmainwindow.cpp.
     - Disable settings editing if a directory with central settings is exists.
     - Format long names on session buttons.
     - Central settings for Linux, Mac and Windows.
     - Fix VCXSRV parameter to disable PRIMARY clipboard in X2Go Client for Windows. Fixes: #927.
     - Fix reading settings for direct RDP connections in broker mode.
     - Auto accept RSA Keys for SSH Broker with --add-to-known-hosts option.
 .
   [ Mike Gabriel ]
   * New upstream release (4.0.5.1):
     - xinerama.conf: Don't choke if screen coordintate lines in xinerama.conf
       start with a dash ("-"). (Fixes: #948).
 .
   [ Mike DePaulo ]
   * New upstream release (4.0.5.1):
     - Windows: Update bundled Win32 OpenSSL from 1.0.1p to 1.0.1q,
       which fixes the multiple CVEs announced on 2015-12-03.
     - Windows: Upgrade Cygwin components to latest versions as of
       2016-01-21, except for the Cygwin DLL which is still at 1.7.33
       in order to avoid breaking folder sharing and printer sharing
       due to 1.7.34's ACL/permissions changes.
       (authorized_keys file would often have mode 660 instead of 600)
       The latest components include most notably:
         + openssh 6.8p1-1-x2go1 -> 7.1p2-1-x2go1 (security update)
         + openssl 1.0.2d-1 -> 1.0.2e-1 (security update)
     - Windows: Update nxproxy from 3.5.0.31 to 3.5.0.32
     - Windows: Update Unicode NSIS from 2.46.5 to 2.50.0 Pre-release,
       which fixes the DLL hijacking security vuln (NSIS bug 1125.)
     - Windows: Update PuTTY from 0.64 to 0.66, which fixes
       CVE-2015-5309.
     - Windows: Remove libzip. libssh no longer uses it.
 .
   [ Orion Poplawski ]
   * New upstream release (4.0.5.1):
     - ssh{process,masterconnection}.cpp: run bash as a login shell when
       invoking any command remotely. Fixes: #928. Because this opens the door
       for ~/.bash_logout and friend scripts to be executed, which may contain
       calls to ncurses' reset or clear, also set the TERM variable to dump to
       not have unexpected output on stderr at logout time.
     - sshmasterconnection.cpp: check correct variable for validity: public key
       instead of private key (again.) Fixes: #945.
 .
   [ Klaus Ade Johnstad ]
   * New upstream version (4.0.5.1):
     - res/i18n/x2goclient_nb_no.ts: update Bokmål (Norway) translation file.
 .
   [ Heinrich Schuchardt ]
   * New upstream version (4.0.5.1):
     - sshmasterconnection.cpp: don't fetch invalid proxy socket. Fixes: #1000.
       From http://doc.qt.io/qt-4.8/qabstractsocket.html#socketDescriptor:
       The socket descriptor is not available when QAbstractSocket is in
       UnconnectedState.
       So we have to connect to the proxy server first before retrieving the
       native socket.
 .
   [ Daniel Lindgren ]
   * New upstream version (4.0.5.1):
     - res/i18n/x2goclient_sv.ts: update Swedish translation file.
 .
   [ Sébastien Ducoulombier ]
   * New upstream version (4.0.5.1):
     - res/i18n/x2goclient_fr.ts: update French translation file.
 .
   [ Jos Wolfkamp ]
   * New upstream version (4.0.5.1):
     - res/i18n/x2goclient_nl.ts: update Dutch translation file.
 .
   [ Stefan Baur ]
   * New upstream release (4.0.5.1):
     - res/i18n/x2goclient_de.ts: update German translation file.
 .
   [ Ricardo Díaz Martín ]
   * New upstream release (4.0.5.1):
     - res/i18n/x2goclient_es.ts: update Spanish translation file.


Marked Bug as done Request was from X2Go Release Manager <git-admin@x2go.org> to control@bugs.x2go.org. (Thu, 24 Mar 2016 20:40:23 GMT) (full text, mbox, link).


Notification sent to Walid MOGHRABI <w.moghrabi@servicemagic.eu>:
Bug acknowledged by developer. (Thu, 24 Mar 2016 20:40:23 GMT) (full text, mbox, link).


Message sent on to Walid MOGHRABI <w.moghrabi@servicemagic.eu>:
Bug#927. (Thu, 24 Mar 2016 20:40:39 GMT) (full text, mbox, link).


Bug archived. Request was from Debbugs Internal Request <owner@bugs.x2go.org> to internal_control@bugs.x2go.org. (Fri, 22 Apr 2016 05:24:02 GMT) (full text, mbox, link).


Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Fri Sep 20 10:25:09 2019; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system

Debbugs is free software and licensed under the terms of the GNU Public License version 2. The current version can be obtained from https://bugs.debian.org/debbugs-source/.

Copyright © 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson, 2005-2017 Don Armstrong, and many other contributors.